import { z } from 'zod';
export declare const versionedAuthOutputSchema: z.ZodDiscriminatedUnion<"version", [z.ZodObject<{
    version: z.ZodLiteral<"1">;
    payload: z.ZodObject<{
        userPoolId: z.ZodString;
        webClientId: z.ZodString;
        identityPoolId: z.ZodString;
        amazonClientId: z.ZodOptional<z.ZodString>;
        appleClientId: z.ZodOptional<z.ZodString>;
        facebookClientId: z.ZodOptional<z.ZodString>;
        googleClientId: z.ZodOptional<z.ZodString>;
        authRegion: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        userPoolId: string;
        webClientId: string;
        identityPoolId: string;
        authRegion: string;
        amazonClientId?: string | undefined;
        appleClientId?: string | undefined;
        facebookClientId?: string | undefined;
        googleClientId?: string | undefined;
    }, {
        userPoolId: string;
        webClientId: string;
        identityPoolId: string;
        authRegion: string;
        amazonClientId?: string | undefined;
        appleClientId?: string | undefined;
        facebookClientId?: string | undefined;
        googleClientId?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    version: "1";
    payload: {
        userPoolId: string;
        webClientId: string;
        identityPoolId: string;
        authRegion: string;
        amazonClientId?: string | undefined;
        appleClientId?: string | undefined;
        facebookClientId?: string | undefined;
        googleClientId?: string | undefined;
    };
}, {
    version: "1";
    payload: {
        userPoolId: string;
        webClientId: string;
        identityPoolId: string;
        authRegion: string;
        amazonClientId?: string | undefined;
        appleClientId?: string | undefined;
        facebookClientId?: string | undefined;
        googleClientId?: string | undefined;
    };
}>]>;
export type AuthOutput = z.infer<typeof versionedAuthOutputSchema>;
//# sourceMappingURL=index.d.ts.map